org.modeshape.jboss.subsystem

## Class ModeShapeCacheBinaryStorageResource

- java.lang.Object
- - org.jboss.as.controller.SimpleResourceDefinition
  - - org.modeshape.jboss.subsystem.ModeShapeCacheBinaryStorageResource

- All Implemented Interfaces:
    org.jboss.as.controller.access.management.ConstrainedResourceDefinition, org.jboss.as.controller.ResourceDefinition

      public class ModeShapeCacheBinaryStorageResource
      extends org.jboss.as.controller.SimpleResourceDefinition

  `SimpleResourceDefinition` which handles elements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ModeShapeCacheBinaryStorageResource` | `DEFAULT`
    `protected static ModeShapeCacheBinaryStorageResource` | `NESTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleResourceDefinition

      `getAccessConstraints, getDescriptionProvider, getFlagsSet, getPathElement, getResourceDescriptionResolver, registerAddOperation, registerAddOperation, registerChildren, registerOperations, registerRemoveOperation, registerRemoveOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          protected static final ModeShapeCacheBinaryStorageResource DEFAULT

    - #### NESTED

          protected static final ModeShapeCacheBinaryStorageResource NESTED

  - ### Method Detail

    - #### registerAttributes

          public void registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerAttributes` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerAttributes` in class `org.jboss.as.controller.SimpleResourceDefinition`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.